#!/bin/bash


datafile=/iplex/01/ipcc_ar5_pcmdi/cmip5_ethz_mirror/pcmdi_data/piControl/Omon/thetao/ACCESS1-0/r1i1p1/thetao_Omon_ACCESS1-0_piControl_r1i1p1_030001-030412.nc
cdocmd="sellevel,5 -seltimestep,1 -selvar,thetao"
cdo $cdocmd $datafile ./ACCESS1-0_alllonlat.nc
cdocmd="sellonlatbox,-10,175,-90,-50"
cdo $cdocmd ./ACCESS1-0_alllonlat.nc  ./ACCESS1-0_sellonlatbox.nc

datafile=/iplex/01/ipcc_ar5_pcmdi/cmip5_ethz_mirror/pcmdi_data/piControl/Omon/thetao/CCSM4/r1i1p1/thetao_Omon_CCSM4_piControl_r1i1p1_080001-080912.nc
cdocmd="sellevel,5 -seltimestep,1 -selvar,thetao"
cdo $cdocmd $datafile ./CCSM4_alllonlat.nc
cdocmd="sellonlatbox,-60,-10,-90,-50"
cdo $cdocmd ./CCSM4_alllonlat.nc  ./CCSM4_sellonlatbox.nc

datafile=/iplex/01/ipcc_ar5_pcmdi/cmip5_ethz_mirror/pcmdi_data/piControl/Omon/thetao/IPSL-CM5A-LR/r1i1p1/thetao_Omon_IPSL-CM5A-LR_piControl_r1i1p1_180001-184912.nc
cdocmd="sellevel,4.99993801 -seltimestep,1 -selvar,thetao"
cdo $cdocmd $datafile ./IPSL-CM5A-LR_alllonlat.nc
cdocmd="sellonlatbox,-10,175,-90,-50"
cdo $cdocmd ./IPSL-CM5A-LR_alllonlat.nc  ./IPSL-CM5A-LR_sellonlatbox.nc

datafile=/iplex/01/ipcc_ar5_pcmdi/cmip5_ethz_mirror/pcmdi_data/piControl/Omon/thetao/GFDL-CM3/r1i1p1/thetao_Omon_GFDL-CM3_piControl_r1i1p1_000101-000512.nc
cdocmd="sellevel,5 -seltimestep,1 -selvar,thetao"
cdo $cdocmd $datafile ./GFDL-CM3_alllonlat.nc
cdocmd="sellonlatbox,-10,175,-90,-50"
cdo $cdocmd ./GFDL-CM3_alllonlat.nc  ./GFDL-CM3_sellonlatbox.nc

exit

